/* GENERAL */
h1 {
    color: #003a4a;
    font-weight: bold;
}

h2,
h3 {
    color: #35889F;
}

.text-success {
    color: #9EC965 !important;
}

/* PRODUCT SLIDER */
.swift_product_slider_container .slider-container {
    padding: 16px;
}

.swift_product_slider_container .slider-container li {
    box-shadow: 0 0 rgba(0, 0, 0, 0.2), 0 0 14px rgba(0, 0, 0, 0.19);
    padding: 15px;
    border-radius: 12px;
}

.swift_product_slider_container .slider-container li h3 {
    color: #003a4a;
}

/* COLOR SVG */
svg,
#ordersubmit div div a:last-child:hover svg,
#ordersubmit button:hover svg,
#ordersubmit button.btn-link svg,
#ordersubmit button.btn-secondary svg,
.item_swift_relatedproductslist button:hover svg,
#ordersubmit button#ToggleDateCalendar svg,
#ordersubmit button#DeleteDeliveryDate svg,
#customButton:hover svg,
button.js-add-to-cart-button:hover svg,
button.btn-primary:hover svg,
button.btn-primary:focus svg,
a#GoToCheckoutButton:hover svg,
a#GoToCheckoutButton:focus svg  /*,
button:hover svg.feather-shopping-cart*/
    {
    stroke: #003a4a;
}

button[type=submit]:focus svg {
    stroke: #003a4a !important;
}

.nussbaumer-dark svg,
.item_swift_relatedproductslist button svg,
#ordersubmit div div a:last-child svg,
#ordersubmit button svg,
/*svg.feather-shopping-cart,*/
#ordersubmit .input-group button.btn-secondary:hover svg,
#ordersubmit button#ToggleDateCalendar:hover svg,
#ordersubmit button#DeleteDeliveryDate:hover svg,
#customButton svg,
button.js-add-to-cart-button svg,
button.btn-primary svg,
a#GoToCheckoutButton svg {
    stroke: #FFFFFF;
}

/* PRODUCT DETAIL */
/*.item_swift_productcomponentparagraph {
    box-shadow: 0 0 rgba(0, 0, 0, 0.2), 0 0 14px rgba(0, 0, 0, 0.19);
    border-radius: 12px;
    padding: 30px !important;
    position: relative;
}*/

.item_swift_productcomponentparagraph .item_swift_productnumber,
.item_swift_productcomponentparagraph .item_nussbaumer_productnumber {
    background-color: #003a4a;
    border-radius: 12px;
    color: #FFFFFF;
    max-width: fit-content;
    padding: 5px 15px;
    opacity: 1 !important;
    display: block;
    margin-left: 0;
}

.item_swift_productcomponentparagraph .item_swift_productnumber,
.item_swift_productcomponentparagraph .item_nussbaumer_productnumber {
    white-space: nowrap;
}

.item_swift_productcomponentparagraph .item_swift_productnumber:empty,
.item_swift_productcomponentparagraph .item_nussbaumer_productnumber:empty {
    display: none!important;
}

.item_swift_productcomponentparagraph .item_swift_productnumber:not(:empty):before,
.item_swift_productcomponentparagraph .item_nussbaumer_productnumber:not(:empty):before {
    content: 'Artikelnummer: ';
}

.item_swift_productcomponentparagraph .item_swift_productaddtofavorites .btn-secondary {
    border-color: #35889F;
    background: none;
}

.item_swift_productcomponentparagraph .item_swift_productprice small {
    display: none;
}

.item_swift_productcomponentparagraph .favorite-icon .btn-secondary {
    background-color: #ffffff;
}

    /* ICONS PRODUCT DETAIL PAGE */
    .item_swift_productdetailsgallery {
        margin: 0 0 15px 0;
    }

    .item_swift_productdetailsgallery a {
        max-height: 64px;
    }

    .item_swift_productdetailsgallery .grid {
        display: flex;
        flex-wrap: wrap;
        gap: 1rem;
    }

    .item_swift_productdetailsgallery .g-col-lg-6 {
        flex: 0 0 64px;
        width: 64px;
        max-width: none;
    }

    .item_swift_productdetailsgallery .grid:has(> .g-col-12:only-child) {
        display: block;
    }    

    .item_swift_productdetailsgallery .grid:has(> .g-col-12:only-child) .align-items-center.justify-content-center {
        justify-content: left !important;
    }

    /* SPECIFICATIONS */
    .item_swift_productfielddisplaygroupsaccordion button.accordion-button,
    .item_nussbaumer_productlongdescription button.accordion-button,
    .item_nussbaumer_productdetailsmediatable  button.accordion-button {
        background-color: #E6E6E6;
    }

    .item_swift_productfielddisplaygroupsaccordion .accordion-flush .accordion-item .accordion-button,
    .item_swift_productfielddisplaygroupsaccordion button.accordion-button.collapsed {
        border-top-left-radius: calc(.25rem - 1px);
        border-top-right-radius: calc(.25rem - 1px);
        border: 1px solid lightgrey;
        border-bottom: 0;
    }

    .item_swift_productfielddisplaygroupsaccordion .accordion-body {
        border-bottom-left-radius: calc(.25rem - 1px);
        border-bottom-right-radius: calc(.25rem - 1px);
        border: 1px solid lightgrey;
    }

    /* QTY SELECTOR AND ADD TO CART */
    .item_swift_productaddtocart input.swift_quantity-field {
        max-width: 150px !important;
        min-width: 150px !important;
    }

    /* BUTTONS */
    .nussbaumer-white-with-grey-buttons .item_swift_productcomponentparagraph .d-flex.flex-wrap.gap-3.mt-3.justify-content-center {
        width: 95%;
    }

    .nussbaumer-white-with-grey-buttons .item_swift_productcomponentparagraph .btn {
        width: 100%;
    }

    @media (max-width: 991px) {
        .nussbaumer-white-with-grey-buttons .nussbaumer-white-with-grey-buttons .d-flex {
            display: block !important;
        }
    }

.hide-nussbaumer-productnumber li:nth-child(2) {
    display: none;
}
    
/* WISHLIST */
.favorite-icon svg {
    stroke: #35889F;
}

.favorite-icon svg.feather-heart-filled {
    fill: #35889F;
}

.favorite-icon .in-list svg,
.favorite-icon .not-in-list svg {
    visibility: hidden;
    width: 0;
    height: 0;
    position: relative;
}

.favorite-icon .in-list,
.favorite-icon .not-in-list {
    display: inline-block;
    width: 22px;
    height: 20px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.favorite-icon .in-list {
    background-image: url('data:image/svg+xml;utf8,<svg fill="none" height="20" viewBox="0 0 22 20" width="22" xmlns="http://www.w3.org/2000/svg"><path d="m11 1.61804 1.9941 6.13728.1123.34549h.3633 6.4531l-5.2207 3.79309-.2939.2135.1123.3455 1.9941 6.1373-5.2207-3.7931-.2939-.2135-.2939.2135-5.22068 3.7931 1.99412-6.1373.11226-.3455-.29389-.2135-5.22069-3.79309h6.45313.36327l.11225-.34549z" fill="%2335889f" stroke="%2335889f"/></svg>');
}

.favorite-icon .not-in-list {
    background-image: url('data:image/svg+xml;utf8,<svg fill="none" height="20" viewBox="0 0 22 20" width="22" xmlns="http://www.w3.org/2000/svg"><path d="m11 1.61804 1.9941 6.13728.1123.34549h.3633 6.4531l-5.2207 3.79309-.2939.2135.1123.3455 1.9941 6.1373-5.2207-3.7931-.2939-.2135-.2939.2135-5.22068 3.7931 1.99412-6.1373.11226-.3455-.29389-.2135-5.22069-3.79309h6.45313.36327l.11225-.34549z" stroke="%2335889f"/></svg>');
}

.input-nussbaumer {
    border-top-left-radius: 12.5rem;
    border-bottom-left-radius: 12.5rem;
}

.add-to-cart-nussbaumer {
    border-bottom-left-radius: 0;
    border-top-left-radius: 0;
    margin-left: -1px;
}

/* COOKIE BANNER */
#dwCookieBanner button.btn-link {
    color: #003a4a;
}

#dwCookieBanner .btn-secondary {
    color: #FFFFFF;
    border-color: #003a4a;
    background-color: #003a4a;
}

#dwCookieBanner .btn-secondary:hover {
    color: #FFFFFF;
    border-color: #003a4a;
    background-color: #003a4a;
}

#dwCookieModal .modal-dialog {
    color: #003a4a;
}

#dwCookieModal .modal-dialog .btn-secondary {
    color: #FFFFFF;
    border-color: #003a4a;
    background-color: #003a4a;
}

#dwCookieModal .modal-dialog .btn-secondary:hover {
    color: #FFFFFF;
    border-color: #003a4a;
    background-color: #003a4a;
}

#dwCookieModal .modal-dialog .form-switch .form-check-input:checked {
    background-color: #003a4a !important;
    border-color: #003a4a;
}

/* CATEGORY PAGE*/
/* HEADER/POSTER */
.item_swift_productlistgroupposter .container-xl {
    padding-bottom: 0 !important;
    margin-right: 0;
    padding-right: 0 !important;
    max-width: 750px;
}

.item_swift_productlistgroupposter .container-xl div div {
    background-color: #003a4a;
    color: #FFFFFF;
    padding: 15px;
    border-top-left-radius: 12px;
}

.item_swift_productlistgroupposter .container-xl div div p {
    font-size: 12px !important;
}

/* GRID */
/*.item_swift_productlistitemrepeater article,
.item_nussbaumer_productlistitemrepeater article {
    box-shadow: 0 0 rgba(0, 0, 0, 0.2), 0 0 14px rgba(0, 0, 0, 0.19);
    border-radius: 12px;
    padding: 15px !important;
    position: relative;
}*/

.item_swift_productlistitemrepeater article .item_swift_productnumber,
.item_nussbaumer_productlistitemrepeater article .item_swift_productnumber,
.item_swift_productlistitemrepeater article .item_nussbaumer_productnumber,
.item_nussbaumer_productlistitemrepeater article .item_nussbaumer_productnumber {
    background-color: #003a4a;
    border-radius: 12px;
    color: #FFFFFF;
    max-width: fit-content;
    padding: 5px 15px;
    opacity: 1 !important;
}

.item_swift_productlistitemrepeater article .item_swift_productnumber:empty,
.item_nussbaumer_productlistitemrepeater article .item_swift_productnumber:empty,
.item_swift_productlistitemrepeater article .item_nussbaumer_productnumber:empty,
.item_nussbaumer_productlistitemrepeater article .item_nussbaumer_productnumber:empty {
    display: none;
}

/* CART & CHECKOUT */
/*#ordersubmit div div a:nth-child(2) {
    display: none;
}*/

#summarySidebar,
#orderSummaryFooter,
.item_swift_cartapp aside,
.item_swift_cartapp aside .theme-gray {
    background-color: #F7F7F7;
}

#orderSummaryFooter .text-decoration-line-through {
    display: none !important;
}

/* MINI CART*/
#CartSummary,
#CartSummary button,
#CartSummary a,
div#cartSummaryFooter {
    color: #6B6A6A;
}

#CartSummaryGoToCheckoutButton {
    background-color: #003a4a;
    color: #FFFFFF !important;
    border: 1px solid #FFFFFF;
}

#CartSummaryGoToCheckoutButton svg {
    stroke: #FFFFFF;
}

#CartSummaryGoToCheckoutButton:hover {
    background-color: #FFFFFF;
    border: 1px solid #003a4a;
    color: #003a4a !important;
}

#CartSummaryGoToCheckoutButton:hover svg {
    stroke: #003a4a;
}

#GoToCartButton {
    background-color: #FFFFFF;
    color: #003a4a !important;
    border: 1px solid #003a4a;
}

#GoToCartButton svg {
    stroke: #003a4a;
}

#GoToCartButton:hover {
    background-color: #003a4a;
    border: 1px solid #003a4a;
    color: #FFFFFF !important;
}

#GoToCartButton:hover svg {
    stroke: #FFFFFF;
}

/* .mini-cart-quantity {
    display: none;
}

.mini-cart-quantity-custom {
    aspect-ratio: 1 / 1;
    background-color: var(--swift-foreground-color);
    border-radius: 50rem;
    color: var(--swift-background-color);
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
    font-size: .75em;
    font-weight: 700;
    height: 1rem;
    line-height: 1;
    padding: .25rem;
    place-content: center;
    place-items: center;
    position: absolute;
    right: -10px;
    text-align: center;
    bottom: 25px;
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transition: -webkit-transform .25s ease-in;
    transition: -webkit-transform .25s ease-in;
    transition: transform .25s ease-in;
    transition: transform .25s ease-in, -webkit-transform .25s ease-in;
}

.sku .container-xl .d-flex {
    position: relative;
} */

/* SEARCH DROPDOWN */
.item_swift_searchfield .dropdown span,
.item_swift_searchfield .dropdown li {
    color: #6B6A6A !important;
}

.item_swift_searchfield li#NoContentPageResults {
    display: none;
}

/* POPUPS */
.modal-header span {
    color: #003a4a;
}

.modal .modal-content {
    color: #6B6A6A;
}

.modal .modal-content a {
    background-color: #003a4a;
}

.modal .modal-content a#CookiesReadModeAbout,
.modal .modal-content a#CookiesPrivacyPolicy {
    background-color: #FFFFFF;
    color: #003a4a;
    border-color: #003a4a;
}

.modal .modal-content a:hover {
    background-color: #FFFFFF;
    color: #003a4a;
    border-color: #003a4a;
}

/* VARIANTS */
.item_nussbaumer_relatedproductslist small {
    display: none;
}

.item_nussbaumer_relatedproductslist table tbody tr:nth-child(n) td img {
    mix-blend-mode: multiply;
    background-color: transparent;
}

@media (min-width: 768px) {
    .item_nussbaumer_relatedproductslist .grid .g-col-12:nth-child(2) {
        display: flex;
        justify-content: flex-end;
    }
}

.item_nussbaumer_relatedproductslist h2 {
    margin-bottom: 0;
}

.item_nussbaumer_relatedproductslist .grid {
    position: relative;
}

.item_nussbaumer_relatedproductslist .grid button.btn.btn-primary.d-flex.mb-3 {
    position: absolute;
    top: -25px;
    right: 25px;
}

.item_nussbaumer_relatedproductslist thead th {
    word-wrap: break-word;
    white-space: normal;
}

/* DOWNLOADS 
.item_nussbaumer_productdetailsmediatable {
    border-radius: 12px;
}

.item_nussbaumer_productdetailsmediatable.p-3 {
    background-color: #E6E6E6;
}

.item_nussbaumer_productdetailsmediatable ul {
    margin: 0;
}*/

/* MEGA MENU */
.megamenu h6 {
    color: #003a4a;
}

.megamenu h6,
.megamenu span {
    text-transform: lowercase;
    display: inline-block;
}

.megamenu h6::first-letter,
.megamenu span::first-letter {
    text-transform: uppercase;
}

/* STRIPE PAYMENT */
button.stripe-button-el,
button.stripe-button-el span {
    background-color: #003a4a !important;
    background-image: none !important;
}

button.stripe-button-el {
    padding: .375rem 3.75rem;
    border-radius: 20px;
    border: 2px solid #003a4a;
    transition: background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease;
}

button.stripe-button-el span {
    background-color: transparent !important;
    box-shadow: none !important;
    text-shadow: none !important;
}

button.stripe-button-el:hover {
    background-color: #ffffff !important;
    color: #003a4a !important;
    border: 2px solid #003a4a !important;
}

button.stripe-button-el:hover span,
button.stripe-button-el:focus span,
button.stripe-button-el:active span {
    background-color: transparent !important;
    color: #003a4a !important;
}

button.stripe-button-el:active {
    background-color: #002a36 !important;
}

/* ARTICLES GRID */
.item_swift_articlelist article {
    box-shadow: 0 0 rgba(0, 0, 0, 0.2), 0 0 14px rgba(0, 0, 0, 0.19);
}

/* BUTTON POPUP LANGUAGE SWITCH */
.item_swift_preferences a.btn-primary,
.item_swift_preferences a.btn-primary:hover {
    border: 1px solid #003a4a;
}

/* HIDE BUTTON */
button[title="Go to slide 1"] {
    display: none;
}

/* BORDER FOR COLORS IN FILTERS */
#FacetGroup_Kleur .pb-3 .form-check .form-check-label .flex-fill > div {
    border: 1px solid black;
}

/* HIDE TOTAL PRODUCTS IN HEADER */
.item_swift_productlistheader .grid div:last-child{
    display:  none;
}

/* MINI CART AND CHECKOUT FONTSIZE AND FONTWEIGHT */
#cartSummaryFooter div:nth-child(2) div:first-child, #cartSummaryFooter .text-price .fs-5, 
#orderSummaryFooter div:nth-child(2) div:first-child, #orderSummaryFooter .text-price .fs-5{
    font-size: 0.75rem !important;
}
#cartSummaryFooter div:nth-child(2) div:last-child, #orderSummaryFooter div:nth-child(2) div:last-child{
    font-size: 1rem;
    font-weight: 700;
}

/* HOVER UNDER LANGUAGE SELECTOR */
[data-bs-target="#PreferencesModal"]:hover {
  text-decoration: underline;
}

/* SEO */
.seo-text .container-xl .grid.grid-1{
    margin-left: 33%;
    margin-right: 5%;
}

/* HIDE CHECKBOX USER AGREEMENT*/
body#page2202 input#EcomOrderCustomerAccepted,
body#page2456 input#EcomOrderCustomerAccepted {
  display: none !important;
}

body#page2202 #TermsAndConditions label[for="EcomOrderCustomerAccepted"]:hover,
body#page2202 #TermsAndConditions label[for="EcomOrderCustomerAccepted"]:focus,
body#page2202 #TermsAndConditions label[for="EcomOrderCustomerAccepted"]:active,
body#page2456 #TermsAndConditions label[for="EcomOrderCustomerAccepted"]:hover,
body#page2456 #TermsAndConditions label[for="EcomOrderCustomerAccepted"]:focus,
body#page2456 #TermsAndConditions label[for="EcomOrderCustomerAccepted"]:active {
  background-color: transparent !important;
  color: inherit !important;
  box-shadow: none !important;
}